Package be.fgov.ehealth.hubservices.core.v1

# Class TransactionWithPeriodType

java.lang.Object
be.fgov.ehealth.hubservices.core.v1.TransactionWithPeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:35+02:00", comments="JAXB RI v4.0.5") public class TransactionWithPeriodType extends Object implements Serializable

Java class for transactionWithPeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="transactionWithPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionWithPeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  Gets the value of the author property.
  `Instant`
  `getBegindate()`
  Gets the value of the begindate property.
  `List<CDTRANSACTION>`
  `getCds()`
  Gets the value of the cds property.
  `Instant`
  `getEnddate()`
  Gets the value of the enddate property.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setBegindate(Instant value)`
  Sets the value of the begindate property.
  `void`
  `setEnddate(Instant value)`
  Sets the value of the enddate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionWithPeriodType

    public TransactionWithPeriodType()

- ## Method Details

  - ### getCds

    public List<CDTRANSACTION> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDTRANSACTION`

    Returns:
      The value of the cds property.

  - ### getAuthor

    public AuthorType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`

  - ### getBegindate

    public Instant getBegindate()
    Gets the value of the begindate property.
    Returns:
      possible object is `String`

  - ### setBegindate

    public void setBegindate(Instant value)
    Sets the value of the begindate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnddate

    public Instant getEnddate()
    Gets the value of the enddate property.
    Returns:
      possible object is `String`

  - ### setEnddate

    public void setEnddate(Instant value)
    Sets the value of the enddate property.
    Parameters:
      `value` - allowed object is `String`